from Globals import InitializeClass
from Products.ZenRelations.RelSchema import *
from Products.ZenModel.Device import Device
from Products.ZenModel.ZenossSecurity import ZEN_VIEW

class TerracottaServer(Device):
    """
    TerracottaServer is the base class of the Terracotta Device Class
    """

    _relations = Device._relations + (
        ('terracottaClient', ToManyCont(ToOne,
            'ZenPacks.community.zenTerracotta.TerracottaClient', 'terracottaServer')),
        )

    def currentClients(self):
        return len(self.terracottaClient())
    
    def __init__(self, *args, **kw):
        Device.__init__(self, *args, **kw)
        self.buildRelations()

InitializeClass(TerracottaServer)
