from zope.interface import implements
from Products.Zuul import info as infoize

from Products.Zuul.infos.component import ComponentInfo
from Products.Zuul.decorators import info
from Products.Zuul.infos import ProxyProperty
from ZenPacks.community.zenTerracotta.interfaces import ITerracottaClientInfo

class TerracottaClientInfo(ComponentInfo):
    """
    Info adapter for TerracottaClient components.
    """
    implements(ITerracottaClientInfo)
    nodeName = ProxyProperty("nodeName")
    nodePort = ProxyProperty("nodePort")
    nodeEnabled = ProxyProperty("nodeEnabled")
    nodeConnected = ProxyProperty("nodeConnected")
    @property
    @info
    def getClientDevice(self):
        return self._object.getClientDevice()
