from Products.Zuul.interfaces import IComponentInfo
from Products.Zuul.form import schema
from Products.Zuul.utils import ZuulMessageFactory as _t

class ITerracottaClientInfo(IComponentInfo):
    """
    Info adapter for TerracottaClient components.
    """
    nodeName = schema.Text(title=u"Name", group='Overview', order=1)
    nodePort = schema.Text(title=u"Port", group='Overview', order=1)
    nodeEnabled = schema.Text(title=u"Enabled", group='Overview', order=2)
    nodeConnected = schema.Text(title=u"Connected", group='Overview', order=3)

